Package org.eclipse.e4.ui.workbench.renderers.swt

# Class MenuManagerRendererFilter

java.lang.Object
org.eclipse.e4.ui.workbench.renderers.swt.MenuManagerRendererFilter

All Implemented Interfaces:
  `Listener`

public class MenuManagerRendererFilter extends Object implements Listener

## Constructor Summary

Constructors
Constructor
Description
`MenuManagerRendererFilter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`collectInfo(ExpressionInfo info, MMenu menuModel, MenuManagerRenderer renderer, IEclipseContext evalContext, boolean recurse)`
`void`
`handleEvent(Event event)`
Sent when an event that the receiver has registered for occurs.
`static void`
`updateElementVisibility(MMenu menuModel, MenuManagerRenderer renderer, MenuManager menuManager, IEclipseContext evalContext, int recurseLevel, boolean updateEnablement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MenuManagerRendererFilter

public MenuManagerRendererFilter()

## Method Details

### handleEvent

public void handleEvent(Event event)
Description copied from interface: `Listener`
Sent when an event that the receiver has registered for occurs.

Specified by:
  `handleEvent` in interface `Listener`
Parameters:
  `event` - the event which occurred

### collectInfo

public static void collectInfo(ExpressionInfo info, MMenu menuModel, MenuManagerRenderer renderer, IEclipseContext evalContext, boolean recurse)

### updateElementVisibility

public static void updateElementVisibility(MMenu menuModel, MenuManagerRenderer renderer, MenuManager menuManager, IEclipseContext evalContext, int recurseLevel, boolean updateEnablement)